MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003278ardourfeaturespublic2010-06-23 06:302011-09-28 17:45
Reportercth103 
Assigned Tocth103 
PrioritynormalSeveritymajorReproducibilityN/A
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version3.XFixed in Version 
Summary0003278: Native VST plugin support
Description[]
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0009926)
danboid (reporter)
2011-01-12 14:47
edited on: 2011-01-12 14:50

If there's one feature from all the proposed 3.x features that I think you should seriously consider bringing forward for inclusion in 3.0 its this.

We all know just how temperamental the current wine-based VST support is and hence this leaves you with the dilemma of not really mentioning the existence of kinda-sorta support for a much in demand feature or advertising it and falsely getting peoples hope up- well that is unless they're v. lucky and their fave plugins all work perfectly. Even then it could all change with their next wine update of course.

I was inspired to bump this feature suggestion today after reading this thread on the Reaper forums:

http://forum.cockos.com/showthread.php?t=70794 [^]

I'll spare you reading having to read it as I can summarise 90% of the comments very easily

"We want VST support under Linux/Ardour!"

I wouldn't expect all the big commercial plugin vendors to come rushing to port their wares to A3 VST but I would expect many of the smaller companies may and I'd think that there'd be much interest from the indie/shareware/freeware and of course FOSS VST plugin devs as it would make perfect sense for them as its probably the platform they've been waiting for.

Maybe choosing not to include native VST support in 3.0 is a tactical move aimed at fostering interest in LV2 but IMO thats the wrong way to go as if LV2 does (or will) offer advantages over native VST plugins then these advantages should effectively promote themselves and will gain more exposure through the increased pulling power A3 stands to gain through making things attractive to existing plugin devs by making their existing code as easy as possible to port. The faster we have a nice selection of plugins, the quicker the userbase will expand.

Considering the amount of time A3 has been in development now, like everyone else on here I want it to make the biggest and best impact possible on release and as you can tell by the length and tone of this note (surely my longest yet) I firmly believe adding this onto 3.0 will add considerable clout.

So, has anyone seriously looked into how hard adding this feature in would be and what potential pitfalls there are?

(0011546)
paul (administrator)
2011-09-20 13:55

Now in SVN for Ardour3.
(0011547)
paul (administrator)
2011-09-20 15:16

now in testing phase
(0011548)
cth103 (administrator)
2011-09-20 15:49

Going to mark this as closed; please open new bugs for any problems with native VST support.
(0011617)
falkTX (reporter)
2011-09-28 17:42

Just wanna add something that might be of interest for all of you.

The LMMS developers (who originally made the vestige header), have in their git repo an updated version of the header, which fixed the 64bit issues (note LMMS being released as both 32bit and 64bit Windows binary).

Link to the file:
http://lmms.git.sourceforge.net/git/gitweb.cgi?p=lmms/lmms;a=blob;f=include/aeffectx.h;h=61f65564600c2394791f34e761c1113f811c7f4a;hb=HEAD [^]

Since ardour is already using this header, I think it makes sense to update it.
(0011618)
falkTX (reporter)
2011-09-28 17:45

There were some previous git comments that changed the vestige header, but this specific commit clears up a few things:
http://lmms.git.sourceforge.net/git/gitweb.cgi?p=lmms/lmms;a=commitdiff;h=be92c67b94135da22376427bd9bc70c1b1a400b8 [^]

- Issue History
Date Modified Username Field Change
2010-06-23 06:30 cth103 New Issue
2010-06-23 06:30 cth103 cost => 0.00
2010-06-23 06:30 cth103 Status new => acknowledged
2011-01-12 14:47 danboid Note Added: 0009926
2011-01-12 14:50 danboid Note Edited: 0009926
2011-09-20 13:55 paul Note Added: 0011546
2011-09-20 15:16 paul Note Added: 0011547
2011-09-20 15:16 paul Status acknowledged => feedback
2011-09-20 15:49 cth103 Note Added: 0011548
2011-09-20 15:49 cth103 Status feedback => resolved
2011-09-20 15:49 cth103 Resolution open => fixed
2011-09-20 15:49 cth103 Assigned To => cth103
2011-09-28 17:42 falkTX Note Added: 0011617
2011-09-28 17:45 falkTX Note Added: 0011618


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker